# Токен бота
TOKEN = ''  # Замените на ваш токен бота

# Токен CryptoPay
CRYPTO_TOKEN = ''  # Замените на ваш токен CryptoPay

# ID администраторов
ADMIN_IDS = []  # Добавьте ID администраторов в виде целых чисел

# ID каналов
MAIN_ID = ''  # Замените на ID вашего основного канала (включая знак минус, если это канал)
PAY_ID = ''  # Замените на ID вашего канала для платежей (включая знак минус, если это канал)

# Ссылки
channel_link = ''  # Ссылка на канал или пост для размещения ставок
pinned_link = ''  # Ссылка на закрепленное сообщение или бота для размещения ставок

# Коэффициенты игр
GAME_COEFFICIENTS = {
    'dice': {
        'even_odd': 1.9,  # для ставок на чет/нечет
        'high_low': 1.9,  # для ставок на больше/меньше
    },
    'sector': 2.5,  # для игры в сектор
    'duel': {
        'win': 2,    # для победы в дуэли (п1 или п2)
        'draw': 3,   # для ничьей в дуэли
    }
}

# Дизайн ставки
bet = '''
[✅] <b>Ваша ставка принята!</b>

<blockquote>🔑 Игрок: <b>{player_name}</b>
💸 Сумма ставки: <b>{bet_usd}$</b>
💬 Комментарий: <b>{bet_comment}</b></blockquote>
[💲] Ставка принята!
'''

# Пути к изображениям
NEW_BET_IMAGE = "img/new_bet.png"
SECTOR_IMAGES = {1: "img/sector_1.jpg", 2: "img/sector_2.jpg", 3: "img/sector_3.jpg"}
DUEL_IMAGES = {"п1": "img/duel_п1.jpg", "п2": "img/duel_п2.jpg", "ничья": "img/duel_ничья.jpg"}

# Изображения для результатов броска костей
DICE_RESULT_IMAGES = {
    "четное": "img/dice_четное.jpg",
    "нечетное": "img/dice_нечетное.jpg",
    "больше 3": "img/dice_больше 3.jpg",
    "меньше 4": "img/dice_меньше 4.jpg"
}

# Разрешенные игры (обновленный список)
ALLOWED_DICE_BETS = ['чет', 'четное', 'нечет', 'нечетное', 'меньше', 'больше']
ALLOWED_SECTOR_BETS = ['сектор1', 'сектор2', 'сектор3']
ALLOWED_DUEL_BETS = ['п1', 'п2', 'ничья']